## ros-indigo-peppereus 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(peppereus)

find_package(catkin REQUIRED pepper_description naoqieus roseus rostest)

catkin_package()

###
### pepper.l generation
###
compile_naoqi_model(pepper pepper1.0_generated_urdf)
if(pepper_meshes_FOUND)
  add_rostest(test/peppereus.test)
endif()

=== debian/changelog ===
ros-indigo-peppereus (1.1.0-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 15 Jul 2017 15:00:00 -0000

ros-indigo-peppereus (1.0.9-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Tue, 08 Nov 2016 15:00:00 -0000

ros-indigo-peppereus (1.0.8-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 07 Nov 2016 15:00:00 -0000

ros-indigo-peppereus (1.0.7-1trusty) trusty; urgency=high

  * [naoqieus, peppereus] delete wheel controller
  * [jsk_naoqi_robot] add roseus in find_package
  * add controllers
  * rotation of rleg endcoords modified
  * [peppereus] add head, larm, rarm, rleg end coords (#637 <https://github.com/jsk-ros-pkg/jsk_robot/issues/637>)
  * Contributors: Kanae Kochigami

 -- Kei Okada <kei.okada@gmail.com>  Tue, 01 Nov 2016 15:00:00 -0000

ros-indigo-peppereus (1.0.6-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 16 Jun 2016 15:00:00 -0000

ros-indigo-peppereus (1.0.5-1trusty) trusty; urgency=high

  * move send-stiffness-controller, servo-on, servo-off methods to naoqi-interface
  * Contributors: Kanae Kochigami

 -- Kei Okada <kei.okada@gmail.com>  Sun, 17 Apr 2016 15:00:00 -0000

ros-indigo-peppereus (1.0.4-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sun, 20 Mar 2016 15:00:00 -0000

ros-indigo-peppereus (1.0.3-1trusty) trusty; urgency=high

  * modify service type
  * add :show-app, :show-webview, :s(g)et-show-image-folder-path
  * add :show-image, :show-webview, :hide-image
  * Contributors: Kanae Kochigami

 -- Kei Okada <kei.okada@gmail.com>  Fri, 04 Mar 2016 15:00:00 -0000

ros-indigo-peppereus (1.0.2-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Sat, 13 Feb 2016 15:00:00 -0000

ros-indigo-peppereus (1.0.1-1trusty) trusty; urgency=high

  * move peppereus under jsk_naoqi_robot
  * naoeus,peppereus: package.xml: fix typo in run_depend, naoqi->naoqieus, nap_apps->nao_apps
  * add naoqieus/cmake/compile_naoqi_modeol.cmake
  * Contributors: Kei Okada, Masahiro Bando

 -- Kei Okada <kei.okada@gmail.com>  Wed, 18 Nov 2015 15:00:00 -0000

ros-indigo-peppereus (1.0.0-1trusty) trusty; urgency=high

  * [pepper-interface.l] update :go-pos for new NoaQi drivers using move_base_simple/goal
  * [pepper-interface.l] update joint action server name space for newer pepper_bringup
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-peppereus (0.0.13-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-peppereus (0.0.12-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 05 Nov 2015 15:00:00 -0000

ros-indigo-peppereus (0.0.11-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Mon, 31 Aug 2015 15:00:00 -0000

ros-indigo-peppereus (0.0.10-1trusty) trusty; urgency=high

  * do not add naoqi_driver in find_package
  * pepper-interface.l: use naoqi_bridge_msgs, but if not found use naoqi_msgs
  * CMakeLists.txt, package.xml: add nao_interaction_msgs
  * add depends to naoqi_driver
  * roseus/CMakeLists.txt: add rostest, roseus to find_pakcage
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Sat, 15 Aug 2015 15:00:00 -0000

ros-indigo-peppereus (0.0.9-1trusty) trusty; urgency=high

  * since ros-naoqi repository chages names (naoqi_sensors -. naoqi_sensors_py), we removed unstable pacagkes
  * [peppereus] Do not run test if no meshes are found
  * add sed command of correct spell
  * test/test-peppereus.l: add test codes
  * Contributors: Kei Okada, Ryohei Ueda, Akira Kako

 -- Kei Okada <kei.okada@gmail.com>  Sun, 02 Aug 2015 15:00:00 -0000

ros-indigo-peppereus (0.0.8-1trusty) trusty; urgency=high

  * modify send-stiffness-controller method for pepper
  * modify ros::advertise to be consistent with ros::publish
  * modify speak method
  * [package.xml] add nao_interaction_msgs to depends
  * 0.0.7
  * Contributors: Kanae Kochigami, Kei Okada, Jiang Jun

 -- Kei Okada <kei.okada@gmail.com>  Wed, 15 Jul 2015 15:00:00 -0000

ros-indigo-peppereus (0.0.7-1trusty) trusty; urgency=high

  * add speak method
  * [pepper-interface.l] add error-vector method, this requires https://github.com/ros-naoqi/naoqi_bridge/pull/37
  * [peppereus] Compilation does not fail even though pepper_urdf is not
    installed because the package is not yet released
  * [peppereus/CMakeLists.txt] run pepper.l only when pepper_meahes found
  * [CMakeLists.txt, pepper.yaml] generate pepper model from pepper_description
  * [package.xml] add more depends
  * [.gitignore] ignore dae file too
  * [peppereus/pepper-interface.l] add :play-audio-file and :set-master-volume
  * Contributors: Kanae Kochigami, Kei Okada, Ryohei Ueda

 -- Kei Okada <kei.okada@gmail.com>  Wed, 10 Jun 2015 15:00:00 -0000

ros-indigo-peppereus (0.0.6-1trusty) trusty; urgency=high

  * pepper-init added
  * Contributors: kochigami

 -- Kei Okada <kei.okada@gmail.com>  Thu, 09 Apr 2015 15:00:00 -0000

ros-indigo-peppereus (0.0.5-1trusty) trusty; urgency=high

  * change nao_msgs to naoqi_msgs
  * Contributors: Jiang Jun

 -- Kei Okada <kei.okada@gmail.com>  Tue, 07 Apr 2015 15:00:00 -0000

ros-indigo-peppereus (0.0.4-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 29 Jan 2015 15:00:00 -0000

ros-indigo-peppereus (0.0.3-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Thu, 08 Jan 2015 15:00:00 -0000

ros-indigo-peppereus (0.0.2-1trusty) trusty; urgency=high

  * use package:// for pepper.l
  * add .gitignore
  * add CMakeLists.txt package.xml pepper-interface.l
  * Contributors: Kei Okada

 -- Kei Okada <kei.okada@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-indigo-peppereus (0.0.1-1trusty) trusty; urgency=high



 -- Kei Okada <kei.okada@gmail.com>  Wed, 24 Dec 2014 15:00:00 -0000

=== debian/control ===
Source: ros-indigo-peppereus
Section: misc
Priority: extra
Maintainer: Kei Okada <kei.okada@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-naoqieus, ros-indigo-pepper-bringup, ros-indigo-pepper-description, ros-indigo-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-peppereus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-naoqieus, ros-indigo-pepper-bringup, ros-indigo-pepper-description
Description: The pepper_bringup package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-peppereus//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
